Restrict APP REST API for users with account and capabilities
Restrict APP REST API for users with account and capabilities
Restrict APP REST API for users with account and capabilities
WP_REST_Response extends WP_HTTP_Response class, which has a header() method for setting headers. Using the rest_request_after_callbacks filter should allow setting the header, but will need to duplicate the functionality of WP_REST_Server->error_to_response(), which at time of writing calls rest_convert_error_to_response(), so that’s easy enough. Here’s what I think this will end up looking like (untested). add_filter( ‘rest_request_before_callbacks’, static … Read more
Okay, it was really weird. I just went to the Permalink settings and clicked Save without changing anything. That somehow fixed it.
Keep in mind that WordPress uses Backbonejs as its data model representation in their Javascript API Client. Since post.fetch() is an async function and returns a promise then you’d have to do your logic/logging after the fetch is complete. So you write: post.fetch().then( function( p ) { console.log( p ); } ); LINKS: fetch
Removing the conditionals for the set() calls will solve the problem. I suspect that the REST request is populating those parameters, and as such the set() calls do not occur. Untested: add_action( ‘pre_get_posts’, ‘test_pre_get_post_filter’ ); function test_pre_get_post_filter( $query ) { if ( is_admin() ) { return; } $query->set( ‘post_status’, array( ‘publish’ ) ); $query->set( ‘posts_per_page’, … Read more
To get the raw content, you need to pass the context argument as edit. This is the version of the content that’s used in the editor, and should match the raw data you originally sent. This version of the content will be accessible at content.raw. Note that using this context may require the request to … Read more
Here is an untested one-liner, counting the cache data array returned from the magic __get method, with a fallback to an empty array if the group key is not set: ‘numberOfEntries’ => count( $wp_object_cache->cache[$group] ?? [] ); Another approach is to consider bindTo to access the private cache array of the $wp_object_cache instance via closure.
Short answer to a long question: I needed quotation marks round the URL. curl -X GET “https://example.com/wp-json/foo/v1/bar?posts_per_page=1&paged=2” -H “Authorization: Basic xxxxx”
Rest Api Error ‘ Error: {‘code’: ‘rest_no_route’, ‘message’: ‘No route was found matching the URL and request method.’, ‘data’: {‘status’: 404}}@ [closed]
Because what you’re trying to do boils down to the fundamental question: How do I log in to WordPress using only the REST API? The answer: You can’t in stock/vanilla WordPress. /wp-json/wp/v2/users/me/application-passwords/ “message”: “You are not currently logged in.”, and /wp-json/wp/v2/users/1/application-passwords/ “message”: “Sorry, you are not allowed to create application passwords for this user.”, Are … Read more